Bug 191736 - CVE-2004-2660 O_DIRECT write sometimes leaks memory
CVE-2004-2660 O_DIRECT write sometimes leaks memory
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel (Show other bugs)
4.0
All Linux
medium Severity low
: ---
: ---
Assigned To: Jeffrey Moyer
Brian Brock
impact=low,public=20041028
: Security
: 211335 (view as bug list)
Depends On:
Blocks: 176344
  Show dependency treegraph
 
Reported: 2006-05-15 11:14 EDT by Marcel Holtmann
Modified: 2007-11-30 17:07 EST (History)
3 users (show)

See Also:
Fixed In Version: RHSA-2006-0617
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-22 14:47:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
results from U4 kernel (fail) (1.78 KB, text/plain)
2006-08-01 15:35 EDT, Mike Gahagan
no flags Details
Results from Rawhide (8-1) xen guest (pass) (1.75 KB, text/plain)
2006-08-01 15:37 EDT, Mike Gahagan
no flags Details

  None (edit)
Description Marcel Holtmann 2006-05-15 11:14:26 EDT
It seems that O_DIRECT write sometimes leaks memory.

The upstream fix can be found here:

http://linux.bkbits.net:8080/linux-2.6/cset@4182a613oVsK0-8eCWpyYFrUf8rhLA
Comment 8 Jason Baron 2006-08-07 14:41:32 EDT
committed in stream E5 build 42.0.1. A test kernel with this patch is available
from http://people.redhat.com/~jbaron/rhel4/
Comment 11 Red Hat Bugzilla 2006-08-22 14:47:57 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2006-0617.html
Comment 12 Jason Baron 2006-08-30 13:43:30 EDT
committed in stream U5 build 42.4. A test kernel with this patch is available
from http://people.redhat.com/~jbaron/rhel4/
Comment 13 Prarit Bhargava 2007-06-28 10:19:46 EDT
*** Bug 211335 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.